'use strict';

var path = require('path');

var _require = require('./lib/utils/pathing'),
    getModuleRootDir = _require.getModuleRootDir;

var LIB_DIR_PARENT = 'dist' || 'src';

var defaultConfig = {
  templatesDirectory: path.join(getModuleRootDir(), LIB_DIR_PARENT, './templates'),
  templates: [{
    folderName: '__fixtures__',
    templateName: 'fixture.template.js',
    extension: '.fixture.js' // Required
  }, {
    folderName: '__tests__',
    templateName: 'test.template.js',
    extension: '.test.js'
  }, {
    folderName: '__themes__',
    templateName: 'scss.template.js',
    extension: '.scss'
  }, {
    fileName: 'package.json',
    templateName: 'package.json.template.js',
    extension: '.json'
  }, {
    templateName: 'component.template.js',
    extension: '.js'
  }]
};

module.exports = defaultConfig;